searchData={"items":[{"type":"module","title":"Guillotine","doc":"Fully accessible unstyled Phoenix components.","ref":"Guillotine.html"},{"type":"module","title":"Table of Contents - Guillotine","doc":"- [Table of Contents](#table-of-contents)\n- [Installation](#installation)","ref":"Guillotine.html#module-table-of-contents"},{"type":"module","title":"Installation - Guillotine","doc":"First, add `guillotine` to the list of dependencies in your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:guillotine, \"~> 0.1.0\"}\n  ]\nend\n```\n\nGuillotine relies heavily on Phoenix hooks that need to be added to your JavaScript bundle.\n\nIf you use the default `esbuild` setup that comes with Phoenix, just head to your `app.js` and add the hooks:\n\n```javascript\nimport { Hooks } from \"guillotine\";\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n  hooks: {\n    ...Hooks\n  },\n});\n```\n\nIf you have a more advanced setup for your assets and use a package manager, install the `phoenix-guillotine` package and import the hooks\nfrom there:\n\n```shell\nnpm install phoenix-guillotine\n```\n\n```javascript\nimport { Hooks } from \"phoenix-guillotine\";\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n  hooks: {\n    ...Hooks\n  },\n});\n```","ref":"Guillotine.html#module-installation"},{"type":"module","title":"Guillotine.Dialog","doc":"A dialog component.","ref":"Guillotine.Dialog.html"},{"type":"module","title":"Example - Guillotine.Dialog","doc":"```heex\n<.dialog>\n  <.dialog_trigger class=\"rounded-md bg-blue-500 px-3 py-1.5 text-sm text-white shadow-sm hover:bg-blue-400 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-500\">\n    Open dialog\n  </.dialog_trigger>\n  <.dialog_backdrop class=\"absolute inset-0 w-full h-full bg-gray-200\"></.dialog_backdrop>\n  <.dialog_positioner class=\"fixed inset-0 z-10 w-screen overflow-y-auto flex min-h-full items-center justify-center p-4\">\n    <.dialog_content class=\"w-full max-w-md rounded-xl bg-white p-6 outline-0\">\n      <.dialog_title class=\"text-base font-medium\">Dialog</.dialog_title>\n      <.dialog_description class=\"mt-2 text-sm\">Welcome to Guillotine!</.dialog_description>\n       \n        <.dialog_close_trigger class=\"rounded-md bg-blue-500 px-3 py-1.5 text-sm text-white shadow-sm hover:bg-blue-400 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-500\">\n          Close\n        </.dialog_close_trigger>\n       \n    </.dialog_content>\n  </.dialog_positioner>\n</.dialog>\n```","ref":"Guillotine.Dialog.html#module-example"},{"type":"function","title":"Guillotine.Dialog.dialog/1","doc":"","ref":"Guillotine.Dialog.html#dialog/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog/1","doc":"* `id` (`:string`) - ID.\n* `as` (`:any`) - Tag or component to render as. Defaults to `\"div\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog/1-slots"},{"type":"function","title":"Guillotine.Dialog.dialog_backdrop/1","doc":"","ref":"Guillotine.Dialog.html#dialog_backdrop/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_backdrop/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"div\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_backdrop/1-attributes"},{"type":"function","title":"Guillotine.Dialog.dialog_close_trigger/1","doc":"","ref":"Guillotine.Dialog.html#dialog_close_trigger/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_close_trigger/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"button\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_close_trigger/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog_close_trigger/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog_close_trigger/1-slots"},{"type":"function","title":"Guillotine.Dialog.dialog_content/1","doc":"","ref":"Guillotine.Dialog.html#dialog_content/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_content/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"div\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_content/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog_content/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog_content/1-slots"},{"type":"function","title":"Guillotine.Dialog.dialog_description/1","doc":"","ref":"Guillotine.Dialog.html#dialog_description/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_description/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"span\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_description/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog_description/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog_description/1-slots"},{"type":"function","title":"Guillotine.Dialog.dialog_positioner/1","doc":"","ref":"Guillotine.Dialog.html#dialog_positioner/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_positioner/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"div\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_positioner/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog_positioner/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog_positioner/1-slots"},{"type":"function","title":"Guillotine.Dialog.dialog_title/1","doc":"","ref":"Guillotine.Dialog.html#dialog_title/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_title/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"h2\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_title/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog_title/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog_title/1-slots"},{"type":"function","title":"Guillotine.Dialog.dialog_trigger/1","doc":"","ref":"Guillotine.Dialog.html#dialog_trigger/1"},{"type":"function","title":"Attributes - Guillotine.Dialog.dialog_trigger/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"button\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Dialog.html#dialog_trigger/1-attributes"},{"type":"function","title":"Slots - Guillotine.Dialog.dialog_trigger/1","doc":"* `inner_block`","ref":"Guillotine.Dialog.html#dialog_trigger/1-slots"},{"type":"module","title":"Guillotine.Menu","doc":"Menus offer an easy way to build custom, accessible dropdown components with robust support for keyboard navigation.","ref":"Guillotine.Menu.html"},{"type":"module","title":"Example - Guillotine.Menu","doc":"```heex\n<.menu>\n  <.menu_trigger class=\"rounded-md bg-blue-500 px-3 py-1.5 text-sm text-white shadow-sm hover:bg-blue-400 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-500\">\n    Menu\n  </.menu_trigger>\n  <.menu_positioner>\n    <.menu_content class=\"z-10 w-48 text-sm origin-top-right rounded-md bg-white py-1 shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none\">\n      <.menu_item as={&Phoenix.Component.link/1} navigate=\"/link\" class=\"block px-4 py-2 outline-0 data-[highlighted]:bg-gray-100\">\n        Phoenix Link\n      </.menu_item>\n      <.menu_item as=\"a\" href=\"/anchor\" class=\"block px-4 py-2 outline-0 data-[highlighted]:bg-gray-100\">\n        Anchor\n      </.menu_item>\n    </.menu_content>\n  </.menu_positioner>\n</.menu>\n```","ref":"Guillotine.Menu.html#module-example"},{"type":"function","title":"Guillotine.Menu.menu/1","doc":"","ref":"Guillotine.Menu.html#menu/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu/1","doc":"* `id` (`:string`) - ID.\n* `as` (`:any`) - Tag or component to render as. Defaults to `\"div\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_content/1","doc":"","ref":"Guillotine.Menu.html#menu_content/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_content/1","doc":"* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_content/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_content/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_content/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_group/1","doc":"","ref":"Guillotine.Menu.html#menu_group/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_group/1","doc":"* `id` (`:string`) - ID.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_group/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_group/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_group/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_item/1","doc":"","ref":"Guillotine.Menu.html#menu_item/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_item/1","doc":"* `id` (`:string`) - ID.\n* `as` (`:any`) - Tag or component to render as. Defaults to `\"a\"`.\n* Global attributes are accepted. Additional attributes. Supports all globals plus: `[\"href\"]`.","ref":"Guillotine.Menu.html#menu_item/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_item/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_item/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_label/1","doc":"","ref":"Guillotine.Menu.html#menu_label/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_label/1","doc":"* `for` (`:string`) (required) - Group the label belongs to.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_label/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_label/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_label/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_positioner/1","doc":"","ref":"Guillotine.Menu.html#menu_positioner/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_positioner/1","doc":"* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_positioner/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_positioner/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_positioner/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_separator/1","doc":"","ref":"Guillotine.Menu.html#menu_separator/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_separator/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"hr\"`.\n* Global attributes are accepted. Additional attributes. Supports all globals plus: `[\"href\"]`.","ref":"Guillotine.Menu.html#menu_separator/1-attributes"},{"type":"function","title":"Guillotine.Menu.menu_trigger/1","doc":"","ref":"Guillotine.Menu.html#menu_trigger/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_trigger/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"button\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_trigger/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_trigger/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_trigger/1-slots"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}